### Method

# GIRepository VFuncInfo get_signal

since: 2.80

#### Declaration

    GISignalInfo*
    gi_vfunc_info_get_signal (
      GIVFuncInfo* info
    )

#### Description

Obtain the signal for the virtual function if one is set.

The signal comes from the object or interface to which this virtual function belongs.

Available since: 2.80

#### Return value

Type: `GISignalInfo`

The signal, or `NULL` if none is set.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.